/*

  This is a part of the Project Frontier's Source code.

  Copyright (C) 1997-98 Francis Gastellu
                    aka Lone Runner/Aegis

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

/*
                           ś+ Project Frontier +ś

ž PPL Runtime
ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
±±± PPL FUNCTIONS DEFINITIONS ±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±±
ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
*/

pplvar *ppl_F_ADD(pplvar **);
pplvar *ppl_F_SUB(pplvar **);
pplvar *ppl_F_MUL(pplvar **);
pplvar *ppl_F_DIV(pplvar **);
pplvar *ppl_F_POW(pplvar **);
pplvar *ppl_F_MOD(pplvar **);
pplvar *ppl_F_UNEGATIVE(pplvar **);
pplvar *ppl_F_UPOSITIVE(pplvar **);
pplvar *ppl_F_UNOT(pplvar **);
pplvar *ppl_F_CMP_EQU(pplvar **);
pplvar *ppl_F_CMP_NEQ(pplvar **);
pplvar *ppl_F_CMP_BEL(pplvar **);
pplvar *ppl_F_CMP_BOE(pplvar **);
pplvar *ppl_F_CMP_ABO(pplvar **);
pplvar *ppl_F_CMP_AOE(pplvar **);
pplvar *ppl_F_UNOT(pplvar **);
pplvar *ppl_F_BOOL_AND(pplvar **);
pplvar *ppl_F_BOOL_OR(pplvar **);
pplvar *ppl_F_LEN(pplvar **);
pplvar *ppl_F_LOWER(pplvar **);
pplvar *ppl_F_UPPER(pplvar **);
pplvar *ppl_F_MID(pplvar **);
pplvar *ppl_F_LEFT(pplvar **);
pplvar *ppl_F_RIGHT(pplvar **);
pplvar *ppl_F_SPACE(pplvar **);
pplvar *ppl_F_FERR(pplvar **);
pplvar *ppl_F_CHR(pplvar **);
pplvar *ppl_F_ASC(pplvar **);
pplvar *ppl_F_INSTR(pplvar **);
pplvar *ppl_F_ABORT(pplvar **);
pplvar *ppl_F_LTRIM(pplvar **);
pplvar *ppl_F_RTRIM(pplvar **);
pplvar *ppl_F_TRIM(pplvar **);
pplvar *ppl_F_RANDOM(pplvar **);
pplvar *ppl_F_DATE(pplvar **);
pplvar *ppl_F_TIME(pplvar **);
pplvar *ppl_F_U_NAME(pplvar **);
pplvar *ppl_F_U_LDATE(pplvar **);
pplvar *ppl_F_U_LTIME(pplvar **);
pplvar *ppl_F_U_LDIR(pplvar **);
pplvar *ppl_F_U_LOGONS(pplvar **);
pplvar *ppl_F_U_FUL(pplvar **);
pplvar *ppl_F_U_FDL(pplvar **);
pplvar *ppl_F_U_BDLDAY(pplvar **);
pplvar *ppl_F_U_TIMEON(pplvar **);
pplvar *ppl_F_U_BDL(pplvar **);
pplvar *ppl_F_U_BUL(pplvar **);
pplvar *ppl_F_YEAR(pplvar **);
pplvar *ppl_F_MONTH(pplvar **);
pplvar *ppl_F_DAY(pplvar **);
pplvar *ppl_F_DOW(pplvar **);
pplvar *ppl_F_HOUR(pplvar **);
pplvar *ppl_F_MIN(pplvar **);
pplvar *ppl_F_SEC(pplvar **);
pplvar *ppl_F_TIMEAP(pplvar **);
pplvar *ppl_F_VER(pplvar **);
pplvar *ppl_F_NOCHAR(pplvar **);
pplvar *ppl_F_YESCHAR(pplvar **);
pplvar *ppl_F_STRIPATX(pplvar **);
pplvar *ppl_F_REPLACE(pplvar **);
pplvar *ppl_F_STRIP(pplvar **);
pplvar *ppl_F_INKEY(pplvar **);
pplvar *ppl_F_STRING(pplvar **);
pplvar *ppl_F_MASK_PWD(pplvar **);
pplvar *ppl_F_MASK_ALPHA(pplvar **);
pplvar *ppl_F_MASK_NUM(pplvar **);
pplvar *ppl_F_MASK_ALNUM(pplvar **);
pplvar *ppl_F_MASK_FILE(pplvar **);
pplvar *ppl_F_MASK_PATH(pplvar **);
pplvar *ppl_F_MASK_ASCII(pplvar **);
pplvar *ppl_F_CURCONF(pplvar **);
pplvar *ppl_F_PCBDAT(pplvar **);
pplvar *ppl_F_PPEPATH(pplvar **);
pplvar *ppl_F_VALDATE(pplvar **);
pplvar *ppl_F_VALTIME(pplvar **);
pplvar *ppl_F_U_MSGRD(pplvar **);
pplvar *ppl_F_U_MSGWR(pplvar **);
pplvar *ppl_F_PCBNODE(pplvar **);
pplvar *ppl_F_READLINE(pplvar **);
pplvar *ppl_F_SYSOPSEC(pplvar **);
pplvar *ppl_F_ONLOCAL(pplvar **);
pplvar *ppl_F_UN_STAT(pplvar **);
pplvar *ppl_F_UN_NAME(pplvar **);
pplvar *ppl_F_UN_CITY(pplvar **);
pplvar *ppl_F_UN_OPER(pplvar **);
pplvar *ppl_F_CURSEC(pplvar **);
pplvar *ppl_F_GETTOKEN(pplvar **);
pplvar *ppl_F_MINLEFT(pplvar **);
pplvar *ppl_F_MINON(pplvar **);
pplvar *ppl_F_GETENV(pplvar **);
pplvar *ppl_F_CALLID(pplvar **);
pplvar *ppl_F_REGAL(pplvar **);
pplvar *ppl_F_REGAH(pplvar **);
pplvar *ppl_F_REGBL(pplvar **);
pplvar *ppl_F_REGBH(pplvar **);
pplvar *ppl_F_REGCL(pplvar **);
pplvar *ppl_F_REGCH(pplvar **);
pplvar *ppl_F_REGDL(pplvar **);
pplvar *ppl_F_REGDH(pplvar **);
pplvar *ppl_F_REGAX(pplvar **);
pplvar *ppl_F_REGBX(pplvar **);
pplvar *ppl_F_REGCX(pplvar **);
pplvar *ppl_F_REGDX(pplvar **);
pplvar *ppl_F_REGSI(pplvar **);
pplvar *ppl_F_REGDI(pplvar **);
pplvar *ppl_F_REGF(pplvar **);
pplvar *ppl_F_REGCF(pplvar **);
pplvar *ppl_F_REGDS(pplvar **);
pplvar *ppl_F_REGES(pplvar **);
pplvar *ppl_F_B2W(pplvar **);
pplvar *ppl_F_PEEK(pplvar **);
pplvar *ppl_F_PEEKW(pplvar **);
pplvar *ppl_F_MKADDR(pplvar **);
pplvar *ppl_F_EXIST(pplvar **);
pplvar *ppl_F_I2S(pplvar **);
pplvar *ppl_F_S2I(pplvar **);
pplvar *ppl_F_CARRIER(pplvar **);
pplvar *ppl_F_TOKENSTR(pplvar **);
pplvar *ppl_F_CDON(pplvar **);
pplvar *ppl_F_LANGEXT(pplvar **);
pplvar *ppl_F_ANSION(pplvar **);
pplvar *ppl_F_VALCC(pplvar **);
pplvar *ppl_F_FMTCC(pplvar **);
pplvar *ppl_F_CCTYPE(pplvar **);
pplvar *ppl_F_GETX(pplvar **);
pplvar *ppl_F_GETY(pplvar **);
pplvar *ppl_F_AND(pplvar **);
pplvar *ppl_F_OR(pplvar **);
pplvar *ppl_F_XOR(pplvar **);
pplvar *ppl_F_NOT(pplvar **);
pplvar *ppl_F_U_PWDHIST(pplvar **);
pplvar *ppl_F_U_PWDLC(pplvar **);
pplvar *ppl_F_U_PWDTC(pplvar **);
pplvar *ppl_F_U_STAT(pplvar **);
pplvar *ppl_F_DEFCOLOR(pplvar **);
pplvar *ppl_F_ABS(pplvar **);
pplvar *ppl_F_GRAFMODE(pplvar **);
pplvar *ppl_F_PSA(pplvar **);
pplvar *ppl_F_FILEINF(pplvar **);
pplvar *ppl_F_PPENAME(pplvar **);
pplvar *ppl_F_MKDATE(pplvar **);
pplvar *ppl_F_CURCOLOR(pplvar **);
pplvar *ppl_F_KINKEY(pplvar **);
pplvar *ppl_F_MINKEY(pplvar **);
pplvar *ppl_F_MAXNODE(pplvar **);
pplvar *ppl_F_SLPATH(pplvar **);
pplvar *ppl_F_HELPPATH(pplvar **);
pplvar *ppl_F_TEMPPATH(pplvar **);
pplvar *ppl_F_MODEM(pplvar **);
pplvar *ppl_F_LOGGEDON(pplvar **);
pplvar *ppl_F_CALLNUM(pplvar **);
pplvar *ppl_F_MGETBYTE(pplvar **);
pplvar *ppl_F_TOKCOUNT(pplvar **);
pplvar *ppl_F_U_RECNUM(pplvar **);
pplvar *ppl_F_U_INCONF(pplvar **);
pplvar *ppl_F_PEEKDW(pplvar **);
pplvar *ppl_F_DBGLEVEL(pplvar **);
pplvar *ppl_F_SCRTEXT(pplvar **);
pplvar *ppl_F_SHOWSTAT(pplvar **);
pplvar *ppl_F_PAGESTAT(pplvar **);
pplvar *ppl_F_REPLACESTR(pplvar **);
pplvar *ppl_F_STRIPSTR(pplvar **);
pplvar *ppl_F_TOBIGSTR(pplvar **);
pplvar *ppl_F_TOBOOLEAN(pplvar **);
pplvar *ppl_F_TOBYTE(pplvar **);
pplvar *ppl_F_TODATE(pplvar **);
pplvar *ppl_F_TODOUBLE(pplvar **);
pplvar *ppl_F_TOEDATE(pplvar **);
pplvar *ppl_F_TOINTEGER(pplvar **);
pplvar *ppl_F_TOMONEY(pplvar **);
pplvar *ppl_F_TOREAL(pplvar **);
pplvar *ppl_F_TOSHORT(pplvar **);
pplvar *ppl_F_TOINT(pplvar **);
pplvar *ppl_F_TOTIME(pplvar **);
pplvar *ppl_F_TODWORD(pplvar **);
pplvar *ppl_F_TOWORD(pplvar **);
pplvar *ppl_F_MIXED(pplvar **);
pplvar *ppl_F_ALIAS(pplvar **);
pplvar *ppl_F_CONFREG(pplvar **);
pplvar *ppl_F_CONFEXP(pplvar **);
pplvar *ppl_F_CONFSEL(pplvar **);
pplvar *ppl_F_CONFSYS(pplvar **);
pplvar *ppl_F_CONFMW(pplvar **);
pplvar *ppl_F_LPRINTED(pplvar **);
pplvar *ppl_F_ISNONSTOP(pplvar **);
pplvar *ppl_F_ERRCORRECT(pplvar **);
pplvar *ppl_F_CONFALIAS(pplvar **);
pplvar *ppl_F_USERALIAS(pplvar **);
pplvar *ppl_F_CURUSER(pplvar **);
pplvar *ppl_F_U_LMR(pplvar **);
pplvar *ppl_F_CHATSTAT(pplvar **);
pplvar *ppl_F_DEFANS(pplvar **);
pplvar *ppl_F_LASTANS(pplvar **);
pplvar *ppl_F_MEGANUM(pplvar **);
pplvar *ppl_F_EVTTIMEADJ(pplvar **);
pplvar *ppl_F_ISBITSET(pplvar **);
pplvar *ppl_F_FMTREAL(pplvar **);
pplvar *ppl_F_FLAGCNT(pplvar **);
pplvar *ppl_F_KBDBUFSIZE(pplvar **);
pplvar *ppl_F_PPLBUFSIZE(pplvar **);
pplvar *ppl_F_KBDFILUSED(pplvar **);
pplvar *ppl_F_LOMSGNUM(pplvar **);
pplvar *ppl_F_HIMSGNUM(pplvar **);
pplvar *ppl_F_DRIVESPACE(pplvar **);
pplvar *ppl_F_OUTBYTES(pplvar **);
pplvar *ppl_F_HICONFNUM(pplvar **);
pplvar *ppl_F_INBYTES(pplvar **);
pplvar *ppl_F_CRC32(pplvar **);
pplvar *ppl_F_PCBMAC(pplvar **);
pplvar *ppl_F_ACTMSGNUM(pplvar **);
pplvar *ppl_F_STACKLEFT(pplvar **);
pplvar *ppl_F_STACKERR(pplvar **);
pplvar *ppl_F_DGETALIAS(pplvar **);
pplvar *ppl_F_DBOF(pplvar **);
pplvar *ppl_F_DCHANGED(pplvar **);
pplvar *ppl_F_DDECIMALS(pplvar **);
pplvar *ppl_F_DDELETED(pplvar **);
pplvar *ppl_F_DEOF(pplvar **);
pplvar *ppl_F_DERR(pplvar **);
pplvar *ppl_F_DFIELDS(pplvar **);
pplvar *ppl_F_DLENGTH(pplvar **);
pplvar *ppl_F_DNAME(pplvar **);
pplvar *ppl_F_DRECCOUNT(pplvar **);
pplvar *ppl_F_DRECNO(pplvar **);
pplvar *ppl_F_DTYPE(pplvar **);
pplvar *ppl_F_FNEXT(pplvar **);
pplvar *ppl_F_DNEXT(pplvar **);
pplvar *ppl_F_TODDATE(pplvar **);
pplvar *ppl_F_DCLOSEALL(pplvar **);
pplvar *ppl_F_DOPEN(pplvar **);
pplvar *ppl_F_DCLOSE(pplvar **);
pplvar *ppl_F_DSETALIAS(pplvar **);
pplvar *ppl_F_DPACK(pplvar **);
pplvar *ppl_F_DLOCKF(pplvar **);
pplvar *ppl_F_DLOCK(pplvar **);
pplvar *ppl_F_DLOCKR(pplvar **);
pplvar *ppl_F_DUNLOCK(pplvar **);
pplvar *ppl_F_DNOPEN(pplvar **);
pplvar *ppl_F_DNCLOSE(pplvar **);
pplvar *ppl_F_DNCLOSEALL(pplvar **);
pplvar *ppl_F_DNEW(pplvar **);
pplvar *ppl_F_DADD(pplvar **);
pplvar *ppl_F_DAPPEND(pplvar **);
pplvar *ppl_F_DTOP(pplvar **);
pplvar *ppl_F_DGO(pplvar **);
pplvar *ppl_F_DBOTTOM(pplvar **);
pplvar *ppl_F_DSKIP(pplvar **);
pplvar *ppl_F_DBLANK(pplvar **);
pplvar *ppl_F_DDELETE(pplvar **);
pplvar *ppl_F_DRECALL(pplvar **);
pplvar *ppl_F_DTAG(pplvar **);
pplvar *ppl_F_DSEEK(pplvar **);
pplvar *ppl_F_DFBLANK(pplvar **);
pplvar *ppl_F_DGET(pplvar **);
pplvar *ppl_F_DPUT(pplvar **);
pplvar *ppl_F_DFCOPY(pplvar **);
pplvar *ppl_F_DSELECT(pplvar **);
pplvar *ppl_F_DCHKSTAT(pplvar **);
pplvar *ppl_F_PCBACCOUNT(pplvar **);
pplvar *ppl_F_PCBACCSTAT(pplvar **);
pplvar *ppl_F_DERRMSG(pplvar **);
pplvar *ppl_F_ACCOUNT(pplvar **);
pplvar *ppl_F_SCANMSGHDR(pplvar **);
pplvar *ppl_F_CHECKRIP(pplvar **);
pplvar *ppl_F_RIPVER(pplvar **);
pplvar *ppl_F_QWKLIMITS(pplvar **);
pplvar *ppl_F_FINDFIRST(pplvar **);
pplvar *ppl_F_FINDNEXT(pplvar **);
pplvar *ppl_F_void(pplvar **);
pplvar *ppl_F_USELMRS(pplvar **);
pplvar *ppl_F_CONFINFO(pplvar **);
pplvar *ppl_F_TINKEY(pplvar **);
pplvar *ppl_F_CWD(pplvar **);
pplvar *ppl_F_INSTRR(pplvar **);
pplvar *ppl_F_FDORDAKA(pplvar **);
pplvar *ppl_F_FDORDORG(pplvar **);
pplvar *ppl_F_FDORDAREA(pplvar **);
pplvar *ppl_F_FDOQRD(pplvar **);
pplvar *ppl_F_GETDRIVE(pplvar **);
pplvar *ppl_F_SETDRIVE(pplvar **);
pplvar *ppl_F_BS2I(pplvar **);
pplvar *ppl_F_BD2I(pplvar **);
pplvar *ppl_F_I2BS(pplvar **);
pplvar *ppl_F_I2BD(pplvar **);
pplvar *ppl_F_FTELL(pplvar **);
pplvar *ppl_F_OS(pplvar **);
pplvar *ppl_F_DSCRTEXT(pplvar **);
pplvar *ppl_F_DGETX(pplvar **);
pplvar *ppl_F_DGETY(pplvar **);
pplvar *ppl_F_DUALSCR(pplvar **);
pplvar *ppl_F_CONFNAME(pplvar **);
pplvar *ppl_F_SYSTEMPATH(pplvar **);
pplvar *ppl_F_BETA(pplvar **);
pplvar *ppl_F_SCREENCLEARED(pplvar **);
pplvar *ppl_F_CALL(pplvar **);
pplvar *ppl_F_LASTEXITVALUE(pplvar **);
pplvar *ppl_F_FREE(pplvar **);
pplvar *ppl_F_COMINIT(pplvar **);
pplvar *ppl_F_GETCOMSTAT(pplvar **);
pplvar *ppl_F_GETUARTTYPE(pplvar **);
pplvar *ppl_F_GETPROFILE(pplvar **);
pplvar *ppl_F_FRTDAT(pplvar **);
pplvar *ppl_F_FILEMATCH(pplvar **);
pplvar *ppl_F_GETNEXTMSG(pplvar **);
pplvar *ppl_F_HIMSGNUMC(pplvar **);
pplvar *ppl_F_LOMSGNUMC(pplvar **);
pplvar *ppl_F_ROOTPATH(pplvar **);
pplvar *ppl_F_TOSDATE(pplvar **);
pplvar *ppl_F_LANGFILE(pplvar **);

pplvar *mask_pwd(void);
pplvar *mask_alpha(void);
pplvar *mask_num(void);
pplvar *mask_alnum(void);
pplvar *mask_file(void);
pplvar *mask_path(void);
pplvar *mask_ascii(void);
pplvar *mask_money(void);
pplvar *mask_date(void);
pplvar *mask_time(void);

